## bashacks 1.5+git20240612.b8e5118

=== Makefile ===
SRC = `find src/ -type f -name '*.sh'|LC_ALL=C sort`
OUTFILE = bashacks.sh
BASHRCFILE = ~/.profile
BASHACKS = `pwd`/$(OUTFILE)

all:
	>$(OUTFILE)
	for file in $(SRC); do \
		(echo '#!/bin/bash' && cat $$file) >> $(OUTFILE); \
		echo >> $(OUTFILE); \
	done
	tr -d \\r < $(OUTFILE) > $(OUTFILE).tmp
	mv $(OUTFILE).tmp $(OUTFILE)

install:
	[ -e $(OUTFILE) ] && \
		echo -e "\n[ -e $(BASHACKS) ] && . $(BASHACKS)" >> $(BASHRCFILE) \
	|| \
		echo -e "$(OUTFILE) not found. Try: make\n"

clean:
	rm -f bashacks.sh

uninstall:
	sed -i .bak "/bashacks\.sh/d" $(BASHRCFILE)

=== debian/changelog ===
bashacks (1.5+git20240612.b8e5118-1) unstable; urgency=medium

  * New upstream version 1.5+git20240612.b8e5118
  * debian/manpage/bashacks.1: Removed because upstream added a manpages
  * debian/manpages: Changed manpages path
  * debian/patches: Removed because patches were fixed in this new version

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 05 Jul 2024 21:35:43 -0300

bashacks (1.5+git20231025.0f0d0eb-2) unstable; urgency=medium

  * Source-only upload to allow testing migration

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 30 May 2024 19:59:12 -0300

bashacks (1.5+git20231025.0f0d0eb-1) unstable; urgency=medium

  * Initial release. (Closes: #1056195)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 15 Feb 2024 20:03:44 -0300

=== debian/control ===
Source: bashacks
Section: shells
Priority: optional
Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-sphinxdoc <!nodoc>,
               python3 <!nodoc>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.6.2
Homepage: https://github.com/merces/bashacks/
Vcs-Browser: https://salsa.debian.org/debian/bashacks
Vcs-Git: https://salsa.debian.org/debian/bashacks.git

Package: bashacks
Architecture: all
Depends: bc,
         binutils,
         curl,
         file,
         html2text,
         perl,
         wget,
         xxd,
         zip,
         lynx,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: bashacks-doc
Description: collection of useful bash scripts for programmers
 It was intended to be useful for programmers, security analysts and
 general users who need to perform low-level operations. The biggest
 advantage of bashacks is providing shorter commands for executing
 tasks in the terminal.
 .
 Assists users with:
   - Error condition detection: Allowing error messages to be issued
     and exit in case of failure.
   - Argument handling: Facilitates argument handling in scripts by
     supporting command-line options
   - Message Log: Allowing scripts to easily generate logs with
     different levels of verbosity.
   - Simplified Conditional Execution: Simplifies the execution of
     expression-based commands, eliminating the need for complex Bash
     constructs.
   - Improved string handling: Introduces additional functions for
     manipulating strings, facilitating the removal of white spaces, etc.
   - Matrix Treatment: Makes working with arrays in Bash scripts easier
     by offering useful functions for adding, removing, and checking the
     existence of elements in an array.
   - Variable Validation: Provides tools to validate variables, helping
     to ensure that they are configured correctly before they are used.

Package: bashacks-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: collection of useful bash scripts for programmers — documentation
 It was intended to be useful for programmers, security analysts and
 general users who need to perform low-level operations. The biggest
 advantage of bashacks is providing shorter commands for executing
 tasks in the terminal.
 .
 Assists users with:
   - Error condition detection: Allowing error messages to be issued
     and exit in case of failure.
   - Argument handling: Facilitates argument handling in scripts by
     supporting command-line options
   - Message Log: Allowing scripts to easily generate logs with
     different levels of verbosity.
   - Simplified Conditional Execution: Simplifies the execution of
     expression-based commands, eliminating the need for complex Bash
     constructs.
   - Improved string handling: Introduces additional functions for
     manipulating strings, facilitating the removal of white spaces, etc.
   - Matrix Treatment: Makes working with arrays in Bash scripts easier
     by offering useful functions for adding, removing, and checking the
     existence of elements in an array.
   - Variable Validation: Provides tools to validate variables, helping
     to ensure that they are configured correctly before they are used.
 .
 This package contains the HTML documentation for bashacks

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@

override_dh_install:
	dh_install
	install -m 755 bashacks.sh debian/bashacks/usr/bin/
	mv debian/bashacks/usr/bin/bashacks.sh debian/bashacks/usr/bin/bashacks

# sphinx documentation
execute_before_dh_sphinxdoc:
	http_proxy='http://127.0.0.1:9/' python3 -m sphinx  -d debian/doctrees  \
	-N -bhtml  doc/source debian/bashacks-doc/usr/share/doc/bashacks-doc/html

## bashacks 1.5+git20241128.a8d16fc

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
-SRC = `find src/ -type f -name '*.sh'|LC_ALL=C sort`
+SRC = `find src/ -type f -name 'bh_*.sh' | LC_ALL=C sort`
 OUTFILE = bashacks.sh
 BASHRCFILE = ~/.profile
 BASHACKS = `pwd`/$(OUTFILE)
 
 all:
-	>$(OUTFILE)
+	cat src/internal/bootstrap.sh > $(OUTFILE)
 	for file in $(SRC); do \
-		(echo '#!/bin/bash' && cat $$file) >> $(OUTFILE); \
+		cat $$file >> $(OUTFILE); \
 		echo >> $(OUTFILE); \
 	done
 	tr -d \\r < $(OUTFILE) > $(OUTFILE).tmp

=== debian/changelog ===
bashacks (1.5+git20241128.a8d16fc-1) unstable; urgency=medium

  * New upstream version 1.5+git20241128.a8d16fc
  * debian/control: Bumped Standards-Version to 4.7.0
  * debian/rules: Added execution permission to file

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 01 Dec 2024 21:11:40 -0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3 <!nodoc>,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/merces/bashacks/
 Vcs-Browser: https://salsa.debian.org/debian/bashacks
 Vcs-Git: https://salsa.debian.org/debian/bashacks.git

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	dh_install
 	install -m 755 bashacks.sh debian/bashacks/usr/bin/
 	mv debian/bashacks/usr/bin/bashacks.sh debian/bashacks/usr/bin/bashacks
+	chmod +x  debian/bashacks/usr/share/bashacks/src/internal/bootstrap.sh
 
 # sphinx documentation
 execute_before_dh_sphinxdoc:

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=1.5+git%cd.%h" \
https://github.com/merces/bashacks HEAD
